Index: CKEditor/branches/features/pasting/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/_translationstatus.txt	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/_translationstatus.txt	(revision 4265)
@@ -2,58 +2,58 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 312 Missing: 130
-ar.js      Found: 329 Missing: 113
-bg.js      Found: 305 Missing: 137
-bn.js      Found: 307 Missing: 135
-bs.js      Found: 210 Missing: 232
-ca.js      Found: 435 Missing: 7
-cs.js      Found: 327 Missing: 115
-da.js      Found: 326 Missing: 116
-de.js      Found: 435 Missing: 7
-el.js      Found: 311 Missing: 131
-en-au.js   Found: 395 Missing: 47
-en-ca.js   Found: 395 Missing: 47
-en-uk.js   Found: 395 Missing: 47
-eo.js      Found: 282 Missing: 160
-es.js      Found: 435 Missing: 7
-et.js      Found: 326 Missing: 116
-eu.js      Found: 435 Missing: 7
-fa.js      Found: 327 Missing: 115
-fi.js      Found: 325 Missing: 117
-fo.js      Found: 326 Missing: 116
-fr-ca.js   Found: 327 Missing: 115
-fr.js      Found: 434 Missing: 8
-gl.js      Found: 308 Missing: 134
-gu.js      Found: 326 Missing: 116
-he.js      Found: 332 Missing: 110
-hi.js      Found: 327 Missing: 115
-hr.js      Found: 435 Missing: 7
-hu.js      Found: 326 Missing: 116
-is.js      Found: 332 Missing: 110
-it.js      Found: 434 Missing: 8
-ja.js      Found: 434 Missing: 8
-km.js      Found: 299 Missing: 143
-ko.js      Found: 318 Missing: 124
-lt.js      Found: 331 Missing: 111
-lv.js      Found: 308 Missing: 134
-mn.js      Found: 326 Missing: 116
-ms.js      Found: 287 Missing: 155
-nb.js      Found: 325 Missing: 117
-nl.js      Found: 327 Missing: 115
-no.js      Found: 325 Missing: 117
-pl.js      Found: 435 Missing: 7
-pt-br.js   Found: 434 Missing: 8
-pt.js      Found: 307 Missing: 135
-ro.js      Found: 326 Missing: 116
-ru.js      Found: 332 Missing: 110
-sk.js      Found: 327 Missing: 115
-sl.js      Found: 325 Missing: 117
-sr-latn.js Found: 301 Missing: 141
-sr.js      Found: 301 Missing: 141
-sv.js      Found: 324 Missing: 118
-th.js      Found: 312 Missing: 130
-tr.js      Found: 332 Missing: 110
-uk.js      Found: 435 Missing: 7
-vi.js      Found: 435 Missing: 7
-zh-cn.js   Found: 435 Missing: 7
-zh.js      Found: 435 Missing: 7
+fo.js      Found: 326 Missing: 117
+bs.js      Found: 210 Missing: 233
+cs.js      Found: 327 Missing: 116
+en-au.js   Found: 395 Missing: 48
+es.js      Found: 435 Missing: 8
+km.js      Found: 299 Missing: 144
+eu.js      Found: 435 Missing: 8
+ko.js      Found: 318 Missing: 125
+is.js      Found: 332 Missing: 111
+gu.js      Found: 326 Missing: 117
+hu.js      Found: 326 Missing: 117
+no.js      Found: 325 Missing: 118
+sk.js      Found: 327 Missing: 116
+vi.js      Found: 435 Missing: 8
+zh-cn.js   Found: 435 Missing: 8
+uk.js      Found: 435 Missing: 8
+ms.js      Found: 287 Missing: 156
+en-uk.js   Found: 395 Missing: 48
+ro.js      Found: 326 Missing: 117
+pt-br.js   Found: 434 Missing: 9
+ru.js      Found: 332 Missing: 111
+af.js      Found: 312 Missing: 131
+fr-ca.js   Found: 327 Missing: 116
+nb.js      Found: 325 Missing: 118
+bn.js      Found: 307 Missing: 136
+el.js      Found: 311 Missing: 132
+ar.js      Found: 329 Missing: 114
+gl.js      Found: 308 Missing: 135
+fr.js      Found: 434 Missing: 9
+et.js      Found: 326 Missing: 117
+hr.js      Found: 435 Missing: 8
+nl.js      Found: 327 Missing: 116
+mn.js      Found: 326 Missing: 117
+pl.js      Found: 435 Missing: 8
+th.js      Found: 312 Missing: 131
+it.js      Found: 434 Missing: 9
+sl.js      Found: 325 Missing: 118
+lt.js      Found: 331 Missing: 112
+sr-latn.js Found: 301 Missing: 142
+lv.js      Found: 308 Missing: 135
+zh.js      Found: 435 Missing: 8
+ca.js      Found: 435 Missing: 8
+en-ca.js   Found: 395 Missing: 48
+pt.js      Found: 307 Missing: 136
+da.js      Found: 326 Missing: 117
+sr.js      Found: 301 Missing: 142
+tr.js      Found: 332 Missing: 111
+fa.js      Found: 327 Missing: 116
+bg.js      Found: 305 Missing: 138
+de.js      Found: 435 Missing: 8
+sv.js      Found: 324 Missing: 119
+ja.js      Found: 434 Missing: 9
+he.js      Found: 332 Missing: 111
+fi.js      Found: 325 Missing: 118
+hi.js      Found: 327 Missing: 116
+eo.js      Found: 282 Missing: 161
Index: CKEditor/branches/features/pasting/_source/lang/af.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/af.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/af.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Van Word af byvoeg',
 		title : 'Van Word af byvoeg',
Index: CKEditor/branches/features/pasting/_source/lang/ar.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ar.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ar.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'لصق من وورد',
 		title : 'لصق من وورد',
Index: CKEditor/branches/features/pasting/_source/lang/bg.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/bg.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/bg.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Вмъкни от MS Word',
 		title : 'Вмъкни от MS Word',
Index: CKEditor/branches/features/pasting/_source/lang/bn.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/bn.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/bn.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'পেস্ট (শব্দ)',
 		title : 'পেস্ট (শব্দ)',
Index: CKEditor/branches/features/pasting/_source/lang/bs.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/bs.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/bs.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Zalijepi iz Word-a',
 		title : 'Zalijepi iz Word-a',
Index: CKEditor/branches/features/pasting/_source/lang/ca.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ca.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ca.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Enganxa des del Word',
 		title : 'Enganxa des del Word',
Index: CKEditor/branches/features/pasting/_source/lang/cs.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/cs.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/cs.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Vložit z Wordu',
 		title : 'Vložit z Wordu',
Index: CKEditor/branches/features/pasting/_source/lang/da.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/da.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/da.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Indsæt fra Word',
 		title : 'Indsæt fra Word',
Index: CKEditor/branches/features/pasting/_source/lang/de.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/de.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/de.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'aus MS-Word einfügen',
 		title : 'aus MS-Word einfügen',
Index: CKEditor/branches/features/pasting/_source/lang/el.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/el.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/el.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Επικόλληση από το Word',
 		title : 'Επικόλληση από το Word',
Index: CKEditor/branches/features/pasting/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/en-au.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/en-au.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Paste from Word',
 		title : 'Paste from Word',
Index: CKEditor/branches/features/pasting/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/en-ca.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/en-ca.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Paste from Word',
 		title : 'Paste from Word',
Index: CKEditor/branches/features/pasting/_source/lang/en-uk.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/en-uk.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/en-uk.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Paste from Word',
 		title : 'Paste from Word',
Index: CKEditor/branches/features/pasting/_source/lang/en.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/en.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/en.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?',
 		toolbar : 'Paste from Word',
 		title : 'Paste from Word',
Index: CKEditor/branches/features/pasting/_source/lang/eo.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/eo.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/eo.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Interglui el Word',
 		title : 'Interglui el Word',
Index: CKEditor/branches/features/pasting/_source/lang/es.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/es.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/es.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Pegar desde Word',
 		title : 'Pegar desde Word',
Index: CKEditor/branches/features/pasting/_source/lang/et.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/et.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/et.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Kleebi Wordist',
 		title : 'Kleebi Wordist',
Index: CKEditor/branches/features/pasting/_source/lang/eu.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/eu.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/eu.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Itsatsi Word-etik',
 		title : 'Itsatsi Word-etik',
Index: CKEditor/branches/features/pasting/_source/lang/fa.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/fa.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/fa.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'چسباندن از Word',
 		title : 'چسباندن از Word',
Index: CKEditor/branches/features/pasting/_source/lang/fi.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/fi.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/fi.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Liitä Wordista',
 		title : 'Liitä Wordista',
Index: CKEditor/branches/features/pasting/_source/lang/fo.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/fo.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/fo.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Innrita frá Word',
 		title : 'Innrita frá Word',
Index: CKEditor/branches/features/pasting/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/fr-ca.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/fr-ca.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Coller en tant que Word (formaté)',
 		title : 'Coller en tant que Word (formaté)',
Index: CKEditor/branches/features/pasting/_source/lang/fr.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/fr.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/fr.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Coller depuis Word',
 		title : 'Coller depuis Word',
Index: CKEditor/branches/features/pasting/_source/lang/gl.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/gl.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/gl.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Pegar dende Word',
 		title : 'Pegar dende Word',
Index: CKEditor/branches/features/pasting/_source/lang/gu.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/gu.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/gu.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
 		title : 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
Index: CKEditor/branches/features/pasting/_source/lang/he.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/he.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/he.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'הדבקה מ-וורד',
 		title : 'הדבקה מ-וורד',
Index: CKEditor/branches/features/pasting/_source/lang/hi.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/hi.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/hi.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'पेस्ट (वर्ड से)',
 		title : 'पेस्ट (वर्ड से)',
Index: CKEditor/branches/features/pasting/_source/lang/hr.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/hr.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/hr.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Zalijepi iz Worda',
 		title : 'Zalijepi iz Worda',
Index: CKEditor/branches/features/pasting/_source/lang/hu.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/hu.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/hu.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Beillesztés Word-ből',
 		title : 'Beillesztés Word-ből',
Index: CKEditor/branches/features/pasting/_source/lang/is.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/is.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/is.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Líma úr Word',
 		title : 'Líma úr Word',
Index: CKEditor/branches/features/pasting/_source/lang/it.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/it.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/it.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Incolla da Word',
 		title : 'Incolla da Word',
Index: CKEditor/branches/features/pasting/_source/lang/ja.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ja.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ja.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'ワード文章から貼り付け',
 		title : 'ワード文章から貼り付け',
Index: CKEditor/branches/features/pasting/_source/lang/km.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/km.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/km.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'ចំលងដាក់ពី Word',
 		title : 'ចំលងដាក់ពី Word',
Index: CKEditor/branches/features/pasting/_source/lang/ko.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ko.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ko.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'MS Word 형식에서 붙여넣기',
 		title : 'MS Word 형식에서 붙여넣기',
Index: CKEditor/branches/features/pasting/_source/lang/lt.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/lt.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/lt.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Įdėti iš Word',
 		title : 'Įdėti iš Word',
Index: CKEditor/branches/features/pasting/_source/lang/lv.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/lv.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/lv.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Ievietot no Worda',
 		title : 'Ievietot no Worda',
Index: CKEditor/branches/features/pasting/_source/lang/mn.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/mn.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/mn.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Word-оос буулгах',
 		title : 'Word-оос буулгах',
Index: CKEditor/branches/features/pasting/_source/lang/ms.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ms.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ms.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Tampal dari Word',
 		title : 'Tampal dari Word',
Index: CKEditor/branches/features/pasting/_source/lang/nb.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/nb.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/nb.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Lim inn fra Word',
 		title : 'Lim inn fra Word',
Index: CKEditor/branches/features/pasting/_source/lang/nl.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/nl.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/nl.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Plakken als Word-gegevens',
 		title : 'Plakken als Word-gegevens',
Index: CKEditor/branches/features/pasting/_source/lang/no.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/no.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/no.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Lim inn fra Word',
 		title : 'Lim inn fra Word',
Index: CKEditor/branches/features/pasting/_source/lang/pl.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/pl.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/pl.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Wklej z Worda',
 		title : 'Wklej z Worda',
Index: CKEditor/branches/features/pasting/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/pt-br.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/pt-br.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Colar do Word',
 		title : 'Colar do Word',
Index: CKEditor/branches/features/pasting/_source/lang/pt.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/pt.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/pt.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Colar do Word',
 		title : 'Colar do Word',
Index: CKEditor/branches/features/pasting/_source/lang/ro.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ro.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ro.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Adaugă din Word',
 		title : 'Adaugă din Word',
Index: CKEditor/branches/features/pasting/_source/lang/ru.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/ru.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/ru.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Вставить из Word',
 		title : 'Вставить из Word',
Index: CKEditor/branches/features/pasting/_source/lang/sk.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/sk.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/sk.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Vložiť z Wordu',
 		title : 'Vložiť z Wordu',
Index: CKEditor/branches/features/pasting/_source/lang/sl.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/sl.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/sl.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Prilepi iz Worda',
 		title : 'Prilepi iz Worda',
Index: CKEditor/branches/features/pasting/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/sr-latn.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/sr-latn.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Zalepi iz Worda',
 		title : 'Zalepi iz Worda',
Index: CKEditor/branches/features/pasting/_source/lang/sr.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/sr.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/sr.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Залепи из Worda',
 		title : 'Залепи из Worda',
Index: CKEditor/branches/features/pasting/_source/lang/sv.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/sv.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/sv.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Klistra in från Word',
 		title : 'Klistra in från Word',
Index: CKEditor/branches/features/pasting/_source/lang/th.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/th.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/th.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'วางสำเนาจากตัวอักษรเวิร์ด',
 		title : 'วางสำเนาจากตัวอักษรเวิร์ด',
Index: CKEditor/branches/features/pasting/_source/lang/tr.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/tr.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/tr.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Word\'den Yapıştır',
 		title : 'Word\'den Yapıştır',
Index: CKEditor/branches/features/pasting/_source/lang/uk.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/uk.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/uk.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Вставити з Word',
 		title : 'Вставити з Word',
Index: CKEditor/branches/features/pasting/_source/lang/vi.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/vi.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/vi.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : 'Dán với định dạng Word',
 		title : 'Dán với định dạng Word',
Index: CKEditor/branches/features/pasting/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/zh-cn.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/zh-cn.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : '从 MS Word 粘贴',
 		title : '从 MS Word 粘贴',
Index: CKEditor/branches/features/pasting/_source/lang/zh.js
===================================================================
--- CKEditor/branches/features/pasting/_source/lang/zh.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/lang/zh.js	(revision 4265)
@@ -514,4 +514,5 @@
 	pastefromword :
 	{
+		confirmCleanup : 'Your pasted content including formattings from MS-Word application, do you want to adapt it to the editor\'s format?', // MISSING
 		toolbar : '自 Word 貼上',
 		title : '自 Word 貼上',
Index: CKEditor/branches/features/pasting/_source/plugins/clipboard/plugin.js
===================================================================
--- CKEditor/branches/features/pasting/_source/plugins/clipboard/plugin.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/plugins/clipboard/plugin.js	(revision 4265)
@@ -239,5 +239,5 @@
 				{
 					this.editor = editor;
-					this.dataFilter = this.editor.dataProcessor.dataFilter.clone();
+					this.dataFilter = new CKEDITOR.htmlParser.filter();
 				};
 				CKEDITOR.pasteProcessor.prototype =
Index: CKEditor/branches/features/pasting/_source/plugins/pastefromword/dialogs/pastefromword.js
===================================================================
--- CKEditor/branches/features/pasting/_source/plugins/pastefromword/dialogs/pastefromword.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/plugins/pastefromword/dialogs/pastefromword.js	(revision 4265)
@@ -126,5 +126,5 @@
 				( switcher = getConfigSwitcher( editor.config,'pasteFromWordIgnoreFontFace' ) )
 						( ignoreFontFace );
-				editor.fire( 'paste', { 'html' : html } );
+				editor.fire( 'paste', { 'html' : html, 'ms-word' : true } );
 				switcher();
 			}, 0 );
Index: CKEditor/branches/features/pasting/_source/plugins/pastefromword/plugin.js
===================================================================
--- CKEditor/branches/features/pasting/_source/plugins/pastefromword/plugin.js	(revision 4258)
+++ CKEditor/branches/features/pasting/_source/plugins/pastefromword/plugin.js	(revision 4265)
@@ -27,5 +27,7 @@
 				// MS-WORD format sniffing.
 				if ( ( mswordHtml = data[ 'html' ] )
-					 && /(class=\"?Mso|style=\"[^\"]*\bmso\-|w:WordDocument)/.test( mswordHtml ) )
+					 && ( evt.data[ 'ms-word' ]
+						|| /(class=\"?Mso|style=\"[^\"]*\bmso\-|w:WordDocument)/.test( mswordHtml )
+						   && confirm( editor.lang.pastefromword.confirmCleanup ) ) )
 				{
 					// Firefox will be confused by those downlevel-revealed IE conditional
@@ -360,5 +362,5 @@
 
 						// Processing headings.
-						if ( tagName.match( /h(\d)/i ) )
+						if ( tagName.match( /h\d/ ) )
 						{
 							element.filterChildren();
@@ -369,4 +371,6 @@
 								return false;
 							delete element.attributes;
+							// Migrate heading formatting to editor configured ones.
+							elementMigrateFilter( config[ 'format_' + tagName ] )( element );
 						}
 						// Remove inline elements which contain only empty spaces.
@@ -521,7 +525,19 @@
 							CKEDITOR.tools.extend( attrs, listBulletAttrs );
 							children.splice( 0, 1 );
-						}
+							return;
+						}
+
+						// Migrate paragraph formatting based on editor's enter-mode.
+						if( config.enterMode == CKEDITOR.ENTER_BR )
+						{
+							delete element.name;
+							element.add( new CKEDITOR.htmlParser.element( 'br' ) );
+						}
+						else
+							elementMigrateFilter( config[ 'format_' + ( config.enterMode == CKEDITOR.ENTER_P ? 'p' : 'div' ) ] )( element );
 					},
 
+					'div' : elementMigrateFilter( config[ 'format_' + ( config.enterMode == CKEDITOR.ENTER_P ? 'p' : 'div' ) ] ),
+					
 					// Deprecates <font> in favor of stylish <span>.
 					'font' : function( element )
@@ -695,5 +711,10 @@
 							return false;
 					},
-					'class' : falsyFilter,
+					
+					'class' : function( value )
+					{
+						if( value.match( /^(:?Mso|Spell)/i ) )
+							return false;
+					},
 
 					// We always have both 'text-align' style company with
